#version 410 core
layout(location = 0) in vec3 aPos;
layout(location = 1) in vec2 aUV;
uniform mat4 uVP;
uniform vec3 uOffset;
out vec2 vUV;
void main() {
    vUV = aUV;
    gl_Position = uVP * vec4(aPos + uOffset, 1.0);
}
